### Enumeration

# Ggit FileMode

#### Declaration

    enum Ggit.FileMode

#### Description

No description available.

#### Members

`GGIT_FILE_MODE_UNREADABLE`

  No description available.

  - Value: `0`
  - Available since: 1.0
`GGIT_FILE_MODE_TREE`

  No description available.

  - Value: `16384`
  - Available since: 1.0
`GGIT_FILE_MODE_BLOB`

  No description available.

  - Value: `33188`
  - Available since: 1.0
`GGIT_FILE_MODE_BLOB_EXECUTABLE`

  No description available.

  - Value: `33261`
  - Available since: 1.0
`GGIT_FILE_MODE_LINK`

  No description available.

  - Value: `40960`
  - Available since: 1.0
`GGIT_FILE_MODE_COMMIT`

  No description available.

  - Value: `57344`
  - Available since: 1.0